package com.hzs.report.member.provider;

import com.hzs.common.core.domain.R;
import com.hzs.report.member.service.MemberReportService;
import com.hzs.report.stat.IMemberReportServiceApi;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 统计分析相关dubbo服务
 **/
@Slf4j
@DubboService
public class MemberReportServiceProvider implements IMemberReportServiceApi {

    @Autowired
    private MemberReportService iMemberReportService;

    @Override
    public R<?> pushAmountBoxmethod() {
        iMemberReportService.pushAmountBoxmethod();
        return R.ok();
    }

    @Override
    public R<?> repeatPushAmountBoxmethod(String startDateStr, String endDateStr) {
        iMemberReportService.repeatPushAmountBoxmethod(startDateStr, endDateStr);
        return R.ok();
    }

}
